Package com.usatiuk.dhfs.invalidation

# Class OpExtractorService

java.lang.Object
com.usatiuk.dhfs.invalidation.OpExtractorService

@ApplicationScoped public class OpExtractorService extends Object

## Constructor Summary

Constructors
Constructor
Description
`OpExtractorService(jakarta.enterprise.inject.Instance<OpExtractor<?>> opExtractors)`

## Method Summary

Modifier and Type
Method
Description
`org.apache.commons.lang3.tuple.Pair<List<Op>,Runnable>`
`extractOps(JData data, PeerId peerId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OpExtractorService

public OpExtractorService(jakarta.enterprise.inject.Instance<OpExtractor<?>> opExtractors)

## Method Details

### extractOps

@Nullable public org.apache.commons.lang3.tuple.Pair<List<Op>,Runnable> extractOps(JData data, PeerId peerId)